package com.philisense.www.service.impl;

import com.philisense.www.dao.ProUserProjectDAO;
import com.philisense.www.service.ProUserProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProUserProjectServiceImpl implements ProUserProjectService {

@Autowired
private ProUserProjectDAO proUserProjectDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserProjectDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserProjectDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserProjectDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserProjectDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserProjectDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserProjectDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserProjectDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserProjectDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserProjectDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserProjectDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
    proUserProjectDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
    proUserProjectDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
    proUserProjectDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProUserByProjectId(Map<String, Object> map) {
        return proUserProjectDAO.getPageProUserByProjectId(map);
    }

    @Override
    public int getCountProUserByProjectId(Map<String, Object> map) {
        return proUserProjectDAO.getCountProUserByProjectId(map);
    }
}